Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Authenticate a customer

Validates email + password credentials for a shop’s customer account. Returns the contact entity with a session token on success. Requires a Bearer token with customers.write scope (the same token used for all v2 requests) and shop_id in the request body.

POST/customers/sessions
Authorization
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
shop_idintegerrequired

ID of the shop the customer belongs to.

emailstringrequired
passwordstringrequired
Responses
200

Authentication successful

422

Invalid credentials

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/customers/sessions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "shop_id": 1,
  "email": "jane@example.com",
  "password": "s3cr3tpassword"
}'
Response
{
  "id": 3001,
  "email": "jane@example.com",
  "name": "Jane Smith",
  "customer_status": "private",
  "token": "eyJhbGciOiJIUzI1NiJ9...",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/customers/3001"
    }
  }
}

Was this page helpful?